Get a product line

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productLine/{id}

Returns the product line that matches the specified ID, including its configured details.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The product line was returned successfully.
Body ()
Root Schema : ProductLineOracle
Title: ProductLineOracle
Match All
Show Source
  • ProductLine
    Title: ProductLine
    Discriminator: { "propertyName":"@type", "mapping":{ "ProductLine":"#/components/schemas/ProductLine", "ProductLineOracle":"#/components/schemas/ProductLineOracle" } }
    The entity that groups product offerings.
  • type
Nested Schema : ProductLine
Type: object
Title: ProductLine
Discriminator: @type

Discriminator Values

The entity that groups product offerings.
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : compatibilityRules
Type: array
A list of compatibility rules associated with the product line.
Show Source
Nested Schema : productOffering
Type: array
A list of product offerings associated with the product line.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : CompatibilityRulesOracle
Type: object
Title: CompatibilityRulesOracle
Specifies the compatibility rule for the offer.
Show Source
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : ProductOfferingRefOracle
Title: ProductOfferingRefOracle
Match All
Show Source
  • ProductOfferingRef
    Title: ProductOfferingRef
    Discriminator: { "propertyName":"@type", "mapping":{ "ProductOfferingRef":"#/components/schemas/ProductOfferingRef", "BundledProductOffering":"#/components/schemas/BundledProductOffering", "BundledProductOfferingChoiceOracle":"#/components/schemas/BundledProductOfferingChoiceOracle", "BundledProductOfferingOracle":"#/components/schemas/BundledProductOfferingOracle" } }
    The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
  • ProductOfferingRefOracle-allOf[1]
Nested Schema : ProductOfferingRef
Type: object
Title: ProductOfferingRef
Discriminator: @type

Discriminator Values

The productOffering reference. A product offering represents entities that are orderable from the provider of the catalog, this resource includes pricing information.
Show Source
Nested Schema : ProductOfferingRefOracle-allOf[1]
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get a category by submitting a GET request on the REST resource using cURL.

cURL Command

curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/productLine/PRODUCTLINE-3621804581-1594152825043 \ -H 'Content-Type: application/json'

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/productLine/PRODUCTLINE-3621804581-1594152825043",
    "id": "PRODUCTLINE-3621804581-1594152825043",
    "created": "2020-07-07T20:13:45.001Z",
    "lastUpdate": "2020-07-07T20:13:45.549Z",
    "version": "1.0",
    "name": "Automation Product Line Name-8-7-2020-1-41-53",
    "description": "Automation Product Line Description",
    "@type": "ProductLineOracle",
    "@schemaLocation": "https://{FusionAppsHost}/CatalogManagement/schema/oracle/ProductLineOracle.yml",
    "lifecycleStatus": "In design"
}
Back to Top